import { ElementArrayFinder } from "protractor";
import { Atom } from "../../atom";
import { ButtonAtom } from "../button/button.atom";
import { MenuAtom } from "../menu/menu.atom";
import { PopupAtom } from "../popup/popup.atom";
export declare class ToolbarAtom extends Atom {
    static CSS_CLASS: string;
    popup: PopupAtom;
    isPresent(): Promise<boolean>;
    private getAllVisibleItems;
    getAllVisibleItemsCount(): Promise<number>;
    getToolbarItemButton(index: number): ButtonAtom;
    getToolbarMenu(): MenuAtom;
    getToolbarBackground(): Promise<string>;
    getSelectedStateText(): Promise<string>;
    getToolbarMessages(): ElementArrayFinder;
    getToolbarMessagesTexts(): Promise<string[]>;
}
